# Create

Create a new organization.

# HTTP Request:

POST https://api.serveravatar.com/organizations

# Parameter:

Parameters Required Type Description
name Yes String Organization name.
description No String Organization description.

# Curl Request example:

curl --request POST \
  --url "https://api.serveravatar.com/organizations" \
  --header 'content-type: application/json' \
  --header 'accept: application/json' \
  --header 'Authorization: <YOUR API TOKEN>' \
  --data '{
    "name": "ServerAvatar",
    "description": "My organization description"
  }'

# Response:

# Organization created

  • 200 (Ok)
{
    "data": {
        "user": {
            "...": "..."
        },
        "organizations": [
            {
                "...": "..."
            }
        ]
    },
    "message": "Your organization ServerAvatar created successfully."
}

# Validation Error

  • 422 (Unprocessable Entity)
{
    "message": "The given data was invalid.",
    "errors": {
        "name": [
            "The name field is required."
        ]
    }
}

# Organization Name Already Exists

  • 500 (Internal Server Error)
{
    "message": "Organization name already exists in your account."
}

# Server Error

  • 500 (Internal Server Error)
{
    "message": "Something went wrong."
}
Last Updated: 4/29/2026, 6:38:31 AM